### Class

# Shell PolkitAuthenticationAgent

#### Description

    final class Shell.PolkitAuthenticationAgent : PolkitAgent.Listener
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- PolkitAgentListener
- GObject

#### Constructors

###### shell_polkit_authentication_agent_new

No description available.

#### Instance methods

###### shell_polkit_authentication_agent_complete

No description available.

###### shell_polkit_authentication_agent_register

No description available.

###### shell_polkit_authentication_agent_unregister

No description available.

##### Methods inherited from PolkitAgentListener (4)

###### polkit_agent_listener_initiate_authentication

Called on a registered authentication agent (see polkit_agent_listener_register()) when the user owning the session needs to prove he is one of the identities listed in `identities`.

###### polkit_agent_listener_initiate_authentication_finish

Finishes an authentication request from the PolicyKit daemon, see `polkit_agent_listener_initiate_authentication()` for details.

###### polkit_agent_listener_register

Registers `listener` with the PolicyKit daemon as an authentication agent for `subject`. This is implemented by registering a D-Bus object at `object_path` on the unique name assigned by the system message bus.

###### polkit_agent_listener_register_with_options

Like `polkit_agent_listener_register()` but takes options to influence registration. See the RegisterAuthenticationAgentWithOptions() D-Bus method for details.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Shell.PolkitAuthenticationAgent::cancel

No description available.

###### Shell.PolkitAuthenticationAgent::initiate

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ShellPolkitAuthenticationAgentClass {
      PolkitAgentListenerClass parent_class;

    }

No description available.

###### Class members

`parent_class: PolkitAgentListenerClass`

  No description available.